commit:     69b94063ec91bddce79573c5b776c05efece51fd
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Fri May 27 20:55:55 2016 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Fri May 27 20:55:55 2016 +0000
URL:        https://gitweb.gentoo.org/proj/releng.git/commit/?id=69b94063

emerge must use repos.conf now, instead of PORTDIR.

Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 scripts/update_auto_tree     | 14 +++++++++++++-
 scripts/update_official_tree | 14 +++++++++++++-
 scripts/update_snapshot_tree | 14 +++++++++++++-
 3 files changed, 39 insertions(+), 3 deletions(-)

diff --git a/scripts/update_auto_tree b/scripts/update_auto_tree
index 08909e7..a68d561 100755
--- a/scripts/update_auto_tree
+++ b/scripts/update_auto_tree
@@ -1,2 +1,14 @@
 #!/bin/bash
-PORTDIR="/release/trees/portage-auto/" FEATURES="$FEATURES -news" emerge 
--sync -q
+PORTDIR="/release/trees/portage-auto/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge 
--sync -q

diff --git a/scripts/update_official_tree b/scripts/update_official_tree
index 250e905..3424cb6 100755
--- a/scripts/update_official_tree
+++ b/scripts/update_official_tree
@@ -1,2 +1,14 @@
 #!/bin/bash
-PORTDIR="/release/trees/portage-official/" emerge --sync
+PORTDIR="/release/trees/portage-official/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge 
--sync -q

diff --git a/scripts/update_snapshot_tree b/scripts/update_snapshot_tree
index f64742d..3a5284a 100755
--- a/scripts/update_snapshot_tree
+++ b/scripts/update_snapshot_tree
@@ -1,2 +1,14 @@
 #!/bin/bash
-PORTDIR="/release/trees/portage-snapshot/" emerge --sync
+PORTDIR="/release/trees/portage-snapshot/"
+TMPREPO=$(mktemp)
+trap "rm -f $TMPREPO" EXIT
+cat >$f <<EOF
+[DEFAULT]
+main-repo = gentoo
+
+[gentoo]
+location = $PORTDIR
+sync-type = rsync
+sync-uri = rsync://rsync.gentoo.org/gentoo-portage
+EOF
+PORTAGE_REPOSITORIES="$(cat $TMPREPO)" FEATURES="$FEATURES -news" emerge 
--sync -q

Reply via email to